/*
 * DO NOT EDIT.  THIS FILE IS GENERATED FROM calIGoogleRequest.idl
 */

#ifndef __gen_calIGoogleRequest_h__
#define __gen_calIGoogleRequest_h__


#ifndef __gen_calIOperation_h__
#include "calIOperation.h"
#endif

/* For IDL files that don't want to include root IDL files. */
#ifndef NS_NO_VTABLE
#define NS_NO_VTABLE
#endif
class calICalendar; /* forward declaration */

class calIGoogleSession; /* forward declaration */

class calIGoogleCalendar; /* forward declaration */

class calIGenericOperationListener; /* forward declaration */

class calIOperationListener; /* forward declaration */

class calIDateTime; /* forward declaration */

class calIItemBase; /* forward declaration */

class nsIVariant; /* forward declaration */


/* starting interface:    calIGoogleRequest */
#define CALIGOOGLEREQUEST_IID_STR "53a3438a-21bc-4a0f-b813-77a8b4f19282"

#define CALIGOOGLEREQUEST_IID \
  {0x53a3438a, 0x21bc, 0x4a0f, \
    { 0xb8, 0x13, 0x77, 0xa8, 0xb4, 0xf1, 0x92, 0x82 }}

class NS_NO_VTABLE calIGoogleRequest : public calIOperation {
 public: 

  NS_DEFINE_STATIC_IID_ACCESSOR(CALIGOOGLEREQUEST_IID)

  enum { LOGIN = 0U };

  enum { ADD = 1U };

  enum { MODIFY = 2U };

  enum { DELETE = 3U };

  enum { GET = 4U };

  /**
     * The type of request. Must be one of the above constants.
     */
  /* attribute PRUint32 type; */
  NS_IMETHOD GetType(PRUint32 *aType) = 0;
  NS_IMETHOD SetType(PRUint32 aType) = 0;

  /**
     * The request uri string
     */
  /* attribute AUTF8String uri; */
  NS_IMETHOD GetUri(nsACString & aUri) = 0;
  NS_IMETHOD SetUri(const nsACString & aUri) = 0;

  /**
     * The operation listener. This is not called by the request object, but can
     * be used by the response listener to call the original listener that
     * caused the request
     */
  /* attribute calIOperationListener operationListener; */
  NS_IMETHOD GetOperationListener(calIOperationListener * *aOperationListener) = 0;
  NS_IMETHOD SetOperationListener(calIOperationListener * aOperationListener) = 0;

  /**
     * The response listener. This will be called as soon as the request to
     * google has completed.
     */
  /* attribute calIGenericOperationListener responseListener; */
  NS_IMETHOD GetResponseListener(calIGenericOperationListener * *aResponseListener) = 0;
  NS_IMETHOD SetResponseListener(calIGenericOperationListener * aResponseListener) = 0;

  /**
     * The calendar that initiated the request
     */
  /* attribute calIGoogleCalendar calendar; */
  NS_IMETHOD GetCalendar(calIGoogleCalendar * *aCalendar) = 0;
  NS_IMETHOD SetCalendar(calIGoogleCalendar * aCalendar) = 0;

  /**
     * The destination calendar, used for synchronization runs.
     */
  /* attribute calICalendar destinationCal; */
  NS_IMETHOD GetDestinationCal(calICalendar * *aDestinationCal) = 0;
  NS_IMETHOD SetDestinationCal(calICalendar * aDestinationCal) = 0;

  /**
     * If set to false, an authentication failure should not cause any dialogs
     * to show up that cause reauthentication, but the failure should be
     * returned directly.
     *
     * This attribute defaults to true.
     */
  /* attribute boolean reauthenticate; */
  NS_IMETHOD GetReauthenticate(PRBool *aReauthenticate) = 0;
  NS_IMETHOD SetReauthenticate(PRBool aReauthenticate) = 0;

  /**
     * Various options to be carried through to the response listener.
     * XXX The corresponding options are not set up automatically just by
     * setting these options. You still need to use addQueryParameter to filter
     * by item range or other property.
     */
  /* attribute calIDateTime itemRangeStart; */
  NS_IMETHOD GetItemRangeStart(calIDateTime * *aItemRangeStart) = 0;
  NS_IMETHOD SetItemRangeStart(calIDateTime * aItemRangeStart) = 0;

  /* attribute calIDateTime itemRangeEnd; */
  NS_IMETHOD GetItemRangeEnd(calIDateTime * *aItemRangeEnd) = 0;
  NS_IMETHOD SetItemRangeEnd(calIDateTime * aItemRangeEnd) = 0;

  /* attribute unsigned long itemFilter; */
  NS_IMETHOD GetItemFilter(PRUint32 *aItemFilter) = 0;
  NS_IMETHOD SetItemFilter(PRUint32 aItemFilter) = 0;

  /* attribute AUTF8String itemId; */
  NS_IMETHOD GetItemId(nsACString & aItemId) = 0;
  NS_IMETHOD SetItemId(const nsACString & aItemId) = 0;

  /**
     * For add/modify/delete item requests, these contain the old and new items.
     */
  /* attribute calIItemBase newItem; */
  NS_IMETHOD GetNewItem(calIItemBase * *aNewItem) = 0;
  NS_IMETHOD SetNewItem(calIItemBase * aNewItem) = 0;

  /* attribute calIItemBase oldItem; */
  NS_IMETHOD GetOldItem(calIItemBase * *aOldItem) = 0;
  NS_IMETHOD SetOldItem(calIItemBase * aOldItem) = 0;

  /**
     * Set up some upload data using the given content type
     *
     * @param aContentType      The value of the content type header to be set.
     * @param aData             The Data to be uploaded.
     */
  /* void setUploadData (in AUTF8String aContentType, in AUTF8String aData); */
  NS_IMETHOD SetUploadData(const nsACString & aContentType, const nsACString & aData) = 0;

  /**
     * Adds a query parameter to the request. These will be escaped.
     *
     * @param aKey      The key of the query parameter.
     * @param aValue    The value of the query parameter.
     */
  /* void addQueryParameter (in AUTF8String aKey, in AUTF8String aValue); */
  NS_IMETHOD AddQueryParameter(const nsACString & aKey, const nsACString & aValue) = 0;

  /**
     * Run the request, using the specified session.
     *
     * @param aSession      The session to request with.
     */
  /* void commit (in calIGoogleSession aSession); */
  NS_IMETHOD Commit(calIGoogleSession *aSession) = 0;

  /**
     * Tell listeners that the operation failed
     *
     * @param aCode     The error code to use.
     * @param aMessage  The error message to use.
     */
  /* void fail (in PRUint32 aCode, in AUTF8String aMessage); */
  NS_IMETHOD Fail(PRUint32 aCode, const nsACString & aMessage) = 0;

  /**
     * Tell listeners that the operation succeeded.
     *
     * @param aMessage  The error message to use.
     */
  /* void succeed (in AUTF8String aMessage); */
  NS_IMETHOD Succeed(const nsACString & aMessage) = 0;

};

/* Use this macro when declaring classes that implement this interface. */
#define NS_DECL_CALIGOOGLEREQUEST \
  NS_IMETHOD GetType(PRUint32 *aType); \
  NS_IMETHOD SetType(PRUint32 aType); \
  NS_IMETHOD GetUri(nsACString & aUri); \
  NS_IMETHOD SetUri(const nsACString & aUri); \
  NS_IMETHOD GetOperationListener(calIOperationListener * *aOperationListener); \
  NS_IMETHOD SetOperationListener(calIOperationListener * aOperationListener); \
  NS_IMETHOD GetResponseListener(calIGenericOperationListener * *aResponseListener); \
  NS_IMETHOD SetResponseListener(calIGenericOperationListener * aResponseListener); \
  NS_IMETHOD GetCalendar(calIGoogleCalendar * *aCalendar); \
  NS_IMETHOD SetCalendar(calIGoogleCalendar * aCalendar); \
  NS_IMETHOD GetDestinationCal(calICalendar * *aDestinationCal); \
  NS_IMETHOD SetDestinationCal(calICalendar * aDestinationCal); \
  NS_IMETHOD GetReauthenticate(PRBool *aReauthenticate); \
  NS_IMETHOD SetReauthenticate(PRBool aReauthenticate); \
  NS_IMETHOD GetItemRangeStart(calIDateTime * *aItemRangeStart); \
  NS_IMETHOD SetItemRangeStart(calIDateTime * aItemRangeStart); \
  NS_IMETHOD GetItemRangeEnd(calIDateTime * *aItemRangeEnd); \
  NS_IMETHOD SetItemRangeEnd(calIDateTime * aItemRangeEnd); \
  NS_IMETHOD GetItemFilter(PRUint32 *aItemFilter); \
  NS_IMETHOD SetItemFilter(PRUint32 aItemFilter); \
  NS_IMETHOD GetItemId(nsACString & aItemId); \
  NS_IMETHOD SetItemId(const nsACString & aItemId); \
  NS_IMETHOD GetNewItem(calIItemBase * *aNewItem); \
  NS_IMETHOD SetNewItem(calIItemBase * aNewItem); \
  NS_IMETHOD GetOldItem(calIItemBase * *aOldItem); \
  NS_IMETHOD SetOldItem(calIItemBase * aOldItem); \
  NS_IMETHOD SetUploadData(const nsACString & aContentType, const nsACString & aData); \
  NS_IMETHOD AddQueryParameter(const nsACString & aKey, const nsACString & aValue); \
  NS_IMETHOD Commit(calIGoogleSession *aSession); \
  NS_IMETHOD Fail(PRUint32 aCode, const nsACString & aMessage); \
  NS_IMETHOD Succeed(const nsACString & aMessage); 

/* Use this macro to declare functions that forward the behavior of this interface to another object. */
#define NS_FORWARD_CALIGOOGLEREQUEST(_to) \
  NS_IMETHOD GetType(PRUint32 *aType) { return _to GetType(aType); } \
  NS_IMETHOD SetType(PRUint32 aType) { return _to SetType(aType); } \
  NS_IMETHOD GetUri(nsACString & aUri) { return _to GetUri(aUri); } \
  NS_IMETHOD SetUri(const nsACString & aUri) { return _to SetUri(aUri); } \
  NS_IMETHOD GetOperationListener(calIOperationListener * *aOperationListener) { return _to GetOperationListener(aOperationListener); } \
  NS_IMETHOD SetOperationListener(calIOperationListener * aOperationListener) { return _to SetOperationListener(aOperationListener); } \
  NS_IMETHOD GetResponseListener(calIGenericOperationListener * *aResponseListener) { return _to GetResponseListener(aResponseListener); } \
  NS_IMETHOD SetResponseListener(calIGenericOperationListener * aResponseListener) { return _to SetResponseListener(aResponseListener); } \
  NS_IMETHOD GetCalendar(calIGoogleCalendar * *aCalendar) { return _to GetCalendar(aCalendar); } \
  NS_IMETHOD SetCalendar(calIGoogleCalendar * aCalendar) { return _to SetCalendar(aCalendar); } \
  NS_IMETHOD GetDestinationCal(calICalendar * *aDestinationCal) { return _to GetDestinationCal(aDestinationCal); } \
  NS_IMETHOD SetDestinationCal(calICalendar * aDestinationCal) { return _to SetDestinationCal(aDestinationCal); } \
  NS_IMETHOD GetReauthenticate(PRBool *aReauthenticate) { return _to GetReauthenticate(aReauthenticate); } \
  NS_IMETHOD SetReauthenticate(PRBool aReauthenticate) { return _to SetReauthenticate(aReauthenticate); } \
  NS_IMETHOD GetItemRangeStart(calIDateTime * *aItemRangeStart) { return _to GetItemRangeStart(aItemRangeStart); } \
  NS_IMETHOD SetItemRangeStart(calIDateTime * aItemRangeStart) { return _to SetItemRangeStart(aItemRangeStart); } \
  NS_IMETHOD GetItemRangeEnd(calIDateTime * *aItemRangeEnd) { return _to GetItemRangeEnd(aItemRangeEnd); } \
  NS_IMETHOD SetItemRangeEnd(calIDateTime * aItemRangeEnd) { return _to SetItemRangeEnd(aItemRangeEnd); } \
  NS_IMETHOD GetItemFilter(PRUint32 *aItemFilter) { return _to GetItemFilter(aItemFilter); } \
  NS_IMETHOD SetItemFilter(PRUint32 aItemFilter) { return _to SetItemFilter(aItemFilter); } \
  NS_IMETHOD GetItemId(nsACString & aItemId) { return _to GetItemId(aItemId); } \
  NS_IMETHOD SetItemId(const nsACString & aItemId) { return _to SetItemId(aItemId); } \
  NS_IMETHOD GetNewItem(calIItemBase * *aNewItem) { return _to GetNewItem(aNewItem); } \
  NS_IMETHOD SetNewItem(calIItemBase * aNewItem) { return _to SetNewItem(aNewItem); } \
  NS_IMETHOD GetOldItem(calIItemBase * *aOldItem) { return _to GetOldItem(aOldItem); } \
  NS_IMETHOD SetOldItem(calIItemBase * aOldItem) { return _to SetOldItem(aOldItem); } \
  NS_IMETHOD SetUploadData(const nsACString & aContentType, const nsACString & aData) { return _to SetUploadData(aContentType, aData); } \
  NS_IMETHOD AddQueryParameter(const nsACString & aKey, const nsACString & aValue) { return _to AddQueryParameter(aKey, aValue); } \
  NS_IMETHOD Commit(calIGoogleSession *aSession) { return _to Commit(aSession); } \
  NS_IMETHOD Fail(PRUint32 aCode, const nsACString & aMessage) { return _to Fail(aCode, aMessage); } \
  NS_IMETHOD Succeed(const nsACString & aMessage) { return _to Succeed(aMessage); } 

/* Use this macro to declare functions that forward the behavior of this interface to another object in a safe way. */
#define NS_FORWARD_SAFE_CALIGOOGLEREQUEST(_to) \
  NS_IMETHOD GetType(PRUint32 *aType) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetType(aType); } \
  NS_IMETHOD SetType(PRUint32 aType) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetType(aType); } \
  NS_IMETHOD GetUri(nsACString & aUri) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetUri(aUri); } \
  NS_IMETHOD SetUri(const nsACString & aUri) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetUri(aUri); } \
  NS_IMETHOD GetOperationListener(calIOperationListener * *aOperationListener) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetOperationListener(aOperationListener); } \
  NS_IMETHOD SetOperationListener(calIOperationListener * aOperationListener) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetOperationListener(aOperationListener); } \
  NS_IMETHOD GetResponseListener(calIGenericOperationListener * *aResponseListener) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetResponseListener(aResponseListener); } \
  NS_IMETHOD SetResponseListener(calIGenericOperationListener * aResponseListener) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetResponseListener(aResponseListener); } \
  NS_IMETHOD GetCalendar(calIGoogleCalendar * *aCalendar) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetCalendar(aCalendar); } \
  NS_IMETHOD SetCalendar(calIGoogleCalendar * aCalendar) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetCalendar(aCalendar); } \
  NS_IMETHOD GetDestinationCal(calICalendar * *aDestinationCal) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetDestinationCal(aDestinationCal); } \
  NS_IMETHOD SetDestinationCal(calICalendar * aDestinationCal) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetDestinationCal(aDestinationCal); } \
  NS_IMETHOD GetReauthenticate(PRBool *aReauthenticate) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetReauthenticate(aReauthenticate); } \
  NS_IMETHOD SetReauthenticate(PRBool aReauthenticate) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetReauthenticate(aReauthenticate); } \
  NS_IMETHOD GetItemRangeStart(calIDateTime * *aItemRangeStart) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetItemRangeStart(aItemRangeStart); } \
  NS_IMETHOD SetItemRangeStart(calIDateTime * aItemRangeStart) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetItemRangeStart(aItemRangeStart); } \
  NS_IMETHOD GetItemRangeEnd(calIDateTime * *aItemRangeEnd) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetItemRangeEnd(aItemRangeEnd); } \
  NS_IMETHOD SetItemRangeEnd(calIDateTime * aItemRangeEnd) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetItemRangeEnd(aItemRangeEnd); } \
  NS_IMETHOD GetItemFilter(PRUint32 *aItemFilter) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetItemFilter(aItemFilter); } \
  NS_IMETHOD SetItemFilter(PRUint32 aItemFilter) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetItemFilter(aItemFilter); } \
  NS_IMETHOD GetItemId(nsACString & aItemId) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetItemId(aItemId); } \
  NS_IMETHOD SetItemId(const nsACString & aItemId) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetItemId(aItemId); } \
  NS_IMETHOD GetNewItem(calIItemBase * *aNewItem) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetNewItem(aNewItem); } \
  NS_IMETHOD SetNewItem(calIItemBase * aNewItem) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetNewItem(aNewItem); } \
  NS_IMETHOD GetOldItem(calIItemBase * *aOldItem) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetOldItem(aOldItem); } \
  NS_IMETHOD SetOldItem(calIItemBase * aOldItem) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetOldItem(aOldItem); } \
  NS_IMETHOD SetUploadData(const nsACString & aContentType, const nsACString & aData) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetUploadData(aContentType, aData); } \
  NS_IMETHOD AddQueryParameter(const nsACString & aKey, const nsACString & aValue) { return !_to ? NS_ERROR_NULL_POINTER : _to->AddQueryParameter(aKey, aValue); } \
  NS_IMETHOD Commit(calIGoogleSession *aSession) { return !_to ? NS_ERROR_NULL_POINTER : _to->Commit(aSession); } \
  NS_IMETHOD Fail(PRUint32 aCode, const nsACString & aMessage) { return !_to ? NS_ERROR_NULL_POINTER : _to->Fail(aCode, aMessage); } \
  NS_IMETHOD Succeed(const nsACString & aMessage) { return !_to ? NS_ERROR_NULL_POINTER : _to->Succeed(aMessage); } 

#if 0
/* Use the code below as a template for the implementation class for this interface. */

/* Header file */
class _MYCLASS_ : public calIGoogleRequest
{
public:
  NS_DECL_ISUPPORTS
  NS_DECL_CALIGOOGLEREQUEST

  _MYCLASS_();

private:
  ~_MYCLASS_();

protected:
  /* additional members */
};

/* Implementation file */
NS_IMPL_ISUPPORTS1(_MYCLASS_, calIGoogleRequest)

_MYCLASS_::_MYCLASS_()
{
  /* member initializers and constructor code */
}

_MYCLASS_::~_MYCLASS_()
{
  /* destructor code */
}

/* attribute PRUint32 type; */
NS_IMETHODIMP _MYCLASS_::GetType(PRUint32 *aType)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetType(PRUint32 aType)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute AUTF8String uri; */
NS_IMETHODIMP _MYCLASS_::GetUri(nsACString & aUri)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetUri(const nsACString & aUri)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute calIOperationListener operationListener; */
NS_IMETHODIMP _MYCLASS_::GetOperationListener(calIOperationListener * *aOperationListener)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetOperationListener(calIOperationListener * aOperationListener)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute calIGenericOperationListener responseListener; */
NS_IMETHODIMP _MYCLASS_::GetResponseListener(calIGenericOperationListener * *aResponseListener)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetResponseListener(calIGenericOperationListener * aResponseListener)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute calIGoogleCalendar calendar; */
NS_IMETHODIMP _MYCLASS_::GetCalendar(calIGoogleCalendar * *aCalendar)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetCalendar(calIGoogleCalendar * aCalendar)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute calICalendar destinationCal; */
NS_IMETHODIMP _MYCLASS_::GetDestinationCal(calICalendar * *aDestinationCal)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetDestinationCal(calICalendar * aDestinationCal)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute boolean reauthenticate; */
NS_IMETHODIMP _MYCLASS_::GetReauthenticate(PRBool *aReauthenticate)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetReauthenticate(PRBool aReauthenticate)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute calIDateTime itemRangeStart; */
NS_IMETHODIMP _MYCLASS_::GetItemRangeStart(calIDateTime * *aItemRangeStart)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetItemRangeStart(calIDateTime * aItemRangeStart)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute calIDateTime itemRangeEnd; */
NS_IMETHODIMP _MYCLASS_::GetItemRangeEnd(calIDateTime * *aItemRangeEnd)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetItemRangeEnd(calIDateTime * aItemRangeEnd)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute unsigned long itemFilter; */
NS_IMETHODIMP _MYCLASS_::GetItemFilter(PRUint32 *aItemFilter)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetItemFilter(PRUint32 aItemFilter)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute AUTF8String itemId; */
NS_IMETHODIMP _MYCLASS_::GetItemId(nsACString & aItemId)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetItemId(const nsACString & aItemId)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute calIItemBase newItem; */
NS_IMETHODIMP _MYCLASS_::GetNewItem(calIItemBase * *aNewItem)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetNewItem(calIItemBase * aNewItem)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* attribute calIItemBase oldItem; */
NS_IMETHODIMP _MYCLASS_::GetOldItem(calIItemBase * *aOldItem)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}
NS_IMETHODIMP _MYCLASS_::SetOldItem(calIItemBase * aOldItem)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void setUploadData (in AUTF8String aContentType, in AUTF8String aData); */
NS_IMETHODIMP _MYCLASS_::SetUploadData(const nsACString & aContentType, const nsACString & aData)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void addQueryParameter (in AUTF8String aKey, in AUTF8String aValue); */
NS_IMETHODIMP _MYCLASS_::AddQueryParameter(const nsACString & aKey, const nsACString & aValue)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void commit (in calIGoogleSession aSession); */
NS_IMETHODIMP _MYCLASS_::Commit(calIGoogleSession *aSession)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void fail (in PRUint32 aCode, in AUTF8String aMessage); */
NS_IMETHODIMP _MYCLASS_::Fail(PRUint32 aCode, const nsACString & aMessage)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void succeed (in AUTF8String aMessage); */
NS_IMETHODIMP _MYCLASS_::Succeed(const nsACString & aMessage)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* End of implementation class template. */
#endif


#endif /* __gen_calIGoogleRequest_h__ */
